summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Kysela <perex@perex.cz>2005-03-24 10:47:29 +0000
committerJaroslav Kysela <perex@perex.cz>2005-03-24 10:47:29 +0000
commitb1ae46aa0c6aa0cf9c4056cc3de3b5797c2434c3 (patch)
treecc66f18ca1d3ab787557428d76de3476089820c9
parent88bd4f68b834dd343192ba7ec3d21124c49a406f (diff)
packaging related changes
-rw-r--r--Makefile.am8
-rw-r--r--acinclude.m46
-rw-r--r--configure.in2
-rw-r--r--cvscompile17
4 files changed, 33 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am
index 8430c35..09dae4e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,2 +1,10 @@
SUBDIRS = pcm
AUTOMAKE_OPTIONS = foreign
+
+dist-hook:
+ -chmod -R a+r $(distdir)
+ @if ! test -z "$(AMTAR)"; then \
+ $(AMTAR) --create --verbose --file=- $(distdir) | bzip2 -c -9 > $(distdir).tar.bz2 ; \
+ else \
+ $(TAR) --create --verbose --file=- $(distdir) | bzip2 -c -9 > $(distdir).tar.bz2 ; \
+ fi
diff --git a/acinclude.m4 b/acinclude.m4
new file mode 100644
index 0000000..46da876
--- /dev/null
+++ b/acinclude.m4
@@ -0,0 +1,6 @@
+AC_DEFUN([SAVE_PLUGINS_VERSION], [
+AC_MSG_CHECKING(for plugins version)
+SND_PLUGINS_VERSION=$VERSION
+echo $VERSION > $srcdir/version
+AC_MSG_RESULT($SND_PLUGINS_VERSION)
+])
diff --git a/configure.in b/configure.in
index 985953e..6af47f2 100644
--- a/configure.in
+++ b/configure.in
@@ -14,6 +14,8 @@ AC_CHECK_LIB(asound, snd_pcm_ioplug_create,,
PKG_CHECK_MODULES(JACK, jack >= 0.98)
+SAVE_PLUGINS_VERSION
+
AC_OUTPUT([
Makefile
pcm/Makefile
diff --git a/cvscompile b/cvscompile
new file mode 100644
index 0000000..41bd1f7
--- /dev/null
+++ b/cvscompile
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+touch ltconfig
+libtoolize --force --copy --automake
+aclocal $ACLOCAL_FLAGS
+autoheader
+automake --foreign --copy --add-missing
+touch depcomp # seems to be missing for old automake
+autoconf
+export CFLAGS='-O2 -Wall -W -pipe -g'
+echo "CFLAGS=$CFLAGS"
+echo "./configure $@"
+./configure $@ || exit 1
+unset CFLAGS
+if [ -z "$CVSCOMPILE_NO_MAKE" ]; then
+ make
+fi